@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Work+Sans:wght@100;300;400;600;800&display=swap');
*{
    box-sizing: border-box;
    font-family: 'Work Sans';
    margin: 0;
    padding: 0;
}
html{
    /* me permite deslizar cuando hago clic en los links del menu */
    scroll-behavior: smooth;
}
/* MENU */
.contenedor-header{
    background: #37A8D4;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
}
.contenedor-header header{
    max-width: 1100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}
.contenedor-header header .logo a{
    font-family: 'Righteous';
    font-size: 36px;
    color: #0000ff;
    text-decoration: none;
}
.contenedor-header header ul{
    display: flex;
    list-style: none;
}
.contenedor-header header nav ul li a{
    text-align: none;
    color: #fff;
    margin: 0 15px;
    padding: 3px;
    transition: .5s;
    text-decoration: none;
}
.contenedor-header header nav ul li a:hover{
    color: #473CBE;
}
.nav-responsive{
    background-color: #0000ff;
    color:#fff;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
}
/* SECCION INICIO */
.inicio{
    background: linear-gradient(to top, rgba(30,35,38,.8), rgba(30,35,38,1)),
    url(img/decoracion/fondo.jpg);
    background-size: cover;
    height: 100vh;
    color: #fff;
    display: flex;
    align-items: center;
}
.inicio .contenido-banner{
    padding: 20px;
    background-color: #808080;
    max-width: 350px;
    margin: auto;
    text-align: center;
    border-radius: 40px;
}
.inicio .contenido-banner img{
    margin-top: 40px;
    border: 10px solid #0000ff;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 100%;
}
.inicio .contenido-banner h1{
    margin-top: 40px;
    font-size: 42px;
    font-family: 'Righteous';
}
.inicio .contenido-banner h2{
    font-size: 15px;
    font-weight: normal;
}
.inicio .contenido-banner .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}
.inicio .contenido-banner .redes a:hover{
    background-color: #0000ff;
}
.contenido{
    background-color: #37A8D4;
    color: #fff;
    padding: 20px 20px;
}
.contenido .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.contenido h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.contenido .contenido-seccion p{
    font: 18px;
    line-height: 22px;
    margin-bottom: 20px;
    text-align: justify;
}
.contenido .contenido-seccion p span{
    color: #0000ff;
    font-weight: bold;
}

.contenido .centrar{
    display: flex;
    justify-content: center;
}

.contenido .contenido-seccion iframe{
    width: 560px;
    height: 315px;
}

@keyframes javascript {
    0%{width: 0%;}
    100%{width: 75%;}
}


/* SECCION CONTACTO */
.contacto{
    background-image: url(img/contact_bg.png);
    background-color: #1e2326;
    color: #fff;
    padding: 50px 0;
}
.contacto .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.contacto h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;
}
.contacto .fila{
    display: flex;
}
.contacto .col{
    width: 50%;
    padding: 10px;
    position: relative;
}
.contacto .col input, .contacto .col textarea{
    display: block;
    width: 100%;
    padding: 18px;
    border: none;
    margin-bottom: 20px;
    background-color: #252A2E;
    color: #fff;
    font-size: 18px;
}
.contacto button{
    cursor: pointer;
    background-color: transparent;
    border: 2px solid #fff;
    width: fit-content;
    display: block;
    margin: 20px auto;
    padding: 10px 22px;
    font-size: 16px;
    color: #fff;
    position: relative;
    z-index: 10;
}
.contacto button .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #0000ff;
    z-index: -1;
    transition: 1s;
}
.contacto button:hover .overlay{
    width: 100%;
}
.contacto .col img{
    width: 100%;
}
.contacto .col .info{
    position: absolute;
    top: 40%;
    background-color: #252A2E;
    padding: 20px;
    max-width: 350px;
    left: 50%;
    transform: translate(-50%, -50%);
}
.contacto .col .info ul{
    list-style: none;
}
.contacto .col .info ul li{
    margin-bottom: 20px;
}
.contacto .col .info ul li i{
    color: #473CBE;
    display: inline-block;
    margin-right: 20px;
}
footer{
    background-color: #252A2E;
    color: #fff;
    padding: 50px 0 30px 0;
    text-align: center;
    position: relative;
    width: 100%;
}
footer .redes{
    margin-bottom: 20px;
}
footer .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}
footer .arriba{
    display: block;
    width: 42px;
    height: 42px;
    background-color: #0000ff;
    color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -25px;
    border-radius: 50%;
    line-height: 50px;
    font-size: 18px;
}

.galeria__imagen{
    width: 325px;
    height: 300px;
    margin-bottom: 1.5em;
    border: 0.4em solid;/*grosor del borde*/
      border-color: #2008f4;/*color de borde*/
      border-radius: 1em / 0.5em;/*borde*/
      -webkit-box-shadow: 12px 17px 5px 0px rgba(0,0,0,0.75);/*sombra*/
    -moz-box-shadow: 12px 17px 5px 0px rgba(0,0,0,0.75);
    box-shadow: 12px 17px 5px 0px rgba(0,0,0,0.75);
}

.contenido-seccion .centro{
    text-align: center;
}

.izquierda{
    float: left;
    margin: 0em 2em 0em 0em;/*margen*/
    padding: none;
}

.bloque{
    padding: 5em;
}

/*FOOTER*/
#referencia {
    display: flex;
    width: 100%;
    background-color: #37A8D4;/*color de fondo*/
    color: #000000;/*color de letra*/
    border-top: solid #ffffff 2px;/*borde de arriba*/
    margin: 1% 0%;
    padding: 0.5% 0%;
  }
  
  #referencia__titulo {
    width: 100%;/*contenido al 100% dentro del contenedor*/
    padding-bottom: 1%;/* espacio de abajo */
    text-align: center;/*texto centrado*/
    color: #ffffff;/*color de texto*/
    font: 2em Arial, Helvetica;/* tamaño de letra y etilo de letra */
  }
  
  .referencia__texto {
    font: 1em Arial, Helvetica;/* tamaño de letra y etilo de letra */
  }
  
  .referencia__texto ul {
    padding: 0% 3%;
    list-style: none;/*no tiene propiedad de lista por el none*/
  }
  
  .referencia__texto ul>li {
    padding: 1.5% 0%;
    border-bottom: dashed #ffffff 1px;/*borde de abajo*/
    text-align: initial;
  }
  
  .referencia__texto a {
    color: #37A8D4;/* color de texto */
  }
  
  #referencia__autor {
    width: 100%;
    text-align: center;
    font-size: 100%;
  }

  .titulo{
    font-size: 2em;
  }

  .texto{
    text-align:left;
  }

/* SECCION RESPONSIVE */
@media screen and (max-width:1350px){

    .galeria__imagen{
        width: 250px;
        height: 300px;
    }

    .contenido-seccion p{
        padding-left: 2em;
    }

}
@media screen and (max-width:980px){
    nav{
        display: none;
    }
    .nav-responsive{
        display: block;
    }
    nav.responsive{
        display: block;
        position: absolute;
        right: 0;
        top: 75px;
        background-color: #252A2E;
        width: 180px;
    }
    nav.responsive ul{
        display: block !important;
    }
    nav.responsive ul li{
        border-bottom: 1px solid #fff;
        padding: 10px 0;
    }

    .contenido-seccion{
        width: 100%;
    }

    .contenido-seccion .centro{
        text-decoration: none;
    }

    .contenido-seccion p{
        margin-top: 1.5em;
    }

    .movil{
        width: 50%;
    }

}
@media screen and (max-width:600px){

    .contenido .contenido-seccion iframe{
        width: 30em;
        height: 20em;
    }
    .contacto .fila{
        display: block;
    }
    .contacto .fila .col{
        width: 100%;
    }
    .contacto .col .info{
        top: 125px;
    }
}

@media screen and (max-width:500px){
    .galeria__imagen{
        width: 200px;
        height: 250px;
    }
    footer .arriba{
        width: 40px;
        height: 40px;
    }
}

@media screen and (max-width:440px){
    .galeria__imagen{
        width: 350px;
        height: 400px;
        margin-left: 20px;
    }

    .movil{
        width: 100%;
    }
}

@media screen and (max-width:400px){
    .galeria__imagen{
        margin-left: 0px;
    }
}

@media screen and (max-width:375px){
    .galeria__imagen{
        width: 300px;
        height: 350px;
    }
    .contenido-banner{
        width: 75%;
    }
    .referencia__texto{
        font-size: small;
    }
    footer .arriba{
        width: 35px;
        height: 35px;
    }
}

@media screen and (max-width:325px){
    .galeria__imagen{
        width: 250px;
        height: 300px;
    }

    .bloque p{
        display: block;
        margin: 50px 0px;
        padding: 50px 0px;
    }

    footer .arriba{
        width: 32px;
        height: 32px;
    }
}